> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/ssp-overview

> Returns top level SSP benchmarking bid data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/ssp-overview
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/ssp-overview:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/ssp-overview
      description: Returns top level SSP benchmarking bid data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          example: 0
          schema:
            deprecated: false
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: rev_type
          in: query
          description: Revenue type
          required: false
          schema:
            type: string
            enum:
              - net
              - gross
            default: gross
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
        - name: exclude_pubs
          in: query
          description: >-
            Excludes publisher data from the Network and Cohort for users
            organisation
          required: false
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
            default: 'yes'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      data:
                        type: object
                        properties:
                          no_bids:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          bids:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          won_bids:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          bid_requests:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          lost_bids:
                            type: object
                            properties:
                              publisher:
                                type: integer
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          won_bid_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                          bid_revenue:
                            type: object
                            properties:
                              publisher:
                                type: number
                              cohort:
                                type: integer
                              network:
                                type: integer
                            required:
                              - publisher
                              - cohort
                              - network
                        required:
                          - no_bids
                          - bids
                          - won_bids
                          - bid_requests
                          - lost_bids
                          - won_bid_revenue
                          - bid_revenue
                    required:
                      - currency
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  data:
                    no_bids:
                      publisher: 6082389
                      cohort: 160192
                      network: 1255804
                    bids:
                      publisher: 456063
                      cohort: 47440
                      network: 250292
                    won_bids:
                      publisher: 28596
                      cohort: 6094
                      network: 61241
                    bid_requests:
                      publisher: 6538452
                      cohort: 207632
                      network: 1506096
                    lost_bids:
                      publisher: 427467
                      cohort: 41346
                      network: 189051
                    won_bid_revenue:
                      publisher: 50.60156387
                      cohort: 6
                      network: 65
                    bid_revenue:
                      publisher: 561.29946509
                      cohort: 18
                      network: 172
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````